# InstallExecutable

API Documentation: | `InstallExecutable`

Note: This class is incubating and may change in a future version of Gradle.

Installs an executable with it's dependent libraries so it can be easily executed.

### Properties

Property | Description
`destinationDir` | Incubating The directory to install files into.
`executable` | Incubating The executable file to install.
`libs` | Incubating The library files that should be installed.

### Property details

#### `File` `destinationDir`

Note: This property is incubating and may change in a future version of Gradle.

The directory to install files into.

#### `File` `executable`

Note: This property is incubating and may change in a future version of Gradle.

The executable file to install.

#### `FileCollection` `libs`

Note: This property is incubating and may change in a future version of Gradle.

The library files that should be installed.

### Script blocks

No script blocks

### Methods

Method | Description
`lib(libs)` | Incubating Adds a set of library files to be installed. The provided libs object is evaluated as per `Project.files()`.

### Method details

#### `void` `lib`(`Object` libs)

Note: This method is incubating and may change in a future version of Gradle.

Adds a set of library files to be installed. The provided libs object is evaluated as per `Project.files()`.